Control Plane APIApplications
Update an existing application.
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/applications/string" \ -H "Content-Type: application/json" \ -d '{}'{ "application": { "applicationCapabilities": [ { "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "archived": true, "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "nonProductionRuntimeKey": "string", "productionRuntimeKey": "string", "updatedAt": "2019-08-24T14:15:22Z" }}